/**
 * @name 生活API
 * @description 请求示例
 * @param {Object} data        请求参数
 * @param {String} url         请求地址
 * @param {String} method      请求类型 可以不设置,默认GET
 */
import request from '../utils/request';

/**
 * 生活对应栏目的分页查询
 * @param {*} data
 */
const lifeListApi = function (data) {
    return request({
        url: '/admin-api/people/life/list',
        method: 'post',
        data: data
    });
};

/**
 * 获得商户分页
 * @param {*} data
 */
const merchantPageApi = function (data) {
    return request({
        url: '/admin-api/people/merchant/page',
        method: 'get',
        data: data
    });
};

/**
 * 获得商户详情
 * @param {*} data
 */
const merchantGetApi = function (data) {
    return request({
        url: '/admin-api/people/merchant/get',
        method: 'get',
        data: data
    });
};
export { lifeListApi, merchantPageApi, merchantGetApi };
